### org.jfree.layouting

# Class ChainingLayoutProcess

- `java.lang.Object`
- - `org.jfree.layouting.ChainingLayoutProcess`

Implemented Interfaces:
  LayoutProcess

`public class ChainingLayoutProcess`
`extends java.lang.Object`
`implements LayoutProcess`

Creation-Date: 16.06.2006, 14:42:57

Author:
  Thomas Morgner

  ## Constructor Summary

  `ChainingLayoutProcess(LayoutProcess layoutProcess)`

  ## Method Summary

  `LayoutProcess`

  `getChainedLayoutProcess()`

  `DocumentContext`

  `getDocumentContext()`
    The document context holds global information, like the used stylesheets.

  `InputFeed`

  `getInputFeed()`

  `Normalizer`

  `getNormalizer()`

  `OutputProcessorMetaData`

  `getOutputMetaData()`

  `OutputProcessor`

  `getOutputProcessor()`

  `ResourceManager`

  `getResourceManager()`

  `StyleResolver`

  `getStyleResolver()`

  `boolean`

  `isPagebreakEncountered()`
    A flag that indicates, whether one or more pagebreak have been encountered during the last operation.

  `void`

  `pageBreakEncountered(CSSValue pageName, PseudoPage[] pseudoPages)`

  `LayoutProcessState`

  `saveState()`

  `void`

  `setChainedLayoutProcess(LayoutProcess chainedLayoutProcess)`

## Constructor Details

### ChainingLayoutProcess

    public ChainingLayoutProcess(LayoutProcess layoutProcess)

## Method Details

### getChainedLayoutProcess

    public LayoutProcess getChainedLayoutProcess()

### getDocumentContext

    public DocumentContext getDocumentContext()

> The document context holds global information, like the used stylesheets. It also holds the caches for loading external contents.
> Specified by:
>   getDocumentContext in interface LayoutProcess
> Returns:
>   the document context.

### getInputFeed

    public InputFeed getInputFeed()

> Specified by:
>   getInputFeed in interface LayoutProcess

### getNormalizer

    public Normalizer getNormalizer()

> Specified by:
>   getNormalizer in interface LayoutProcess

### getOutputMetaData

    public OutputProcessorMetaData getOutputMetaData()

> Specified by:
>   getOutputMetaData in interface LayoutProcess

### getOutputProcessor

    public OutputProcessor getOutputProcessor()

> Specified by:
>   getOutputProcessor in interface LayoutProcess

### getResourceManager

    public ResourceManager getResourceManager()

> Specified by:
>   getResourceManager in interface LayoutProcess

### getStyleResolver

    public StyleResolver getStyleResolver()

> Specified by:
>   getStyleResolver in interface LayoutProcess

### isPagebreakEncountered

    public boolean isPagebreakEncountered()

> A flag that indicates, whether one or more pagebreak have been encountered during the last operation. The flag does not necessarily state that the pagebreak(s) have been triggered by the last operation, it can as well be a delayed pagebreak indication due to caching or layouting effects (as it happens with pending or moved content).
> Specified by:
>   isPagebreakEncountered in interface LayoutProcess
> Returns:
>   true, if a pagebreak as been encountered somewhere in the past, false otherwise.

### pageBreakEncountered

    public void pageBreakEncountered(CSSValue pageName,
                                     PseudoPage[] pseudoPages)
                throws NormalizationException

> Specified by:
>   pageBreakEncountered in interface LayoutProcess

### saveState

    public LayoutProcessState saveState()
                throws StateException

> Specified by:
>   saveState in interface LayoutProcess

### setChainedLayoutProcess

    public void setChainedLayoutProcess(LayoutProcess chainedLayoutProcess)